Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::AdapterActivator_out Class Reference

`#include <PortableServerC.h>`

Collaboration diagram for PortableServer::AdapterActivator_out:

[legend]
List of all members.

## Public Methods
| AdapterActivator_out (AdapterActivator_ptr &)
| AdapterActivator_out (AdapterActivator_var &)
| AdapterActivator_out (const AdapterActivator_out &)
AdapterActivator_out & | operator= (const AdapterActivator_out &)
AdapterActivator_out & | operator= (const AdapterActivator_var &)
AdapterActivator_out & | operator= (AdapterActivator_ptr)
| operator AdapterActivator_ptr & ()
AdapterActivator_ptr & | ptr (void)
AdapterActivator_ptr | operator-> (void)
## Private Attributes
AdapterActivator_ptr & | ptr_

## Constructor & Destructor Documentation

PortableServer::AdapterActivator_out::AdapterActivator_out | ( | AdapterActivator_ptr & |  | ) |

PortableServer::AdapterActivator_out::AdapterActivator_out | ( | AdapterActivator_var & |  | ) |

PortableServer::AdapterActivator_out::AdapterActivator_out | ( | const AdapterActivator_out & |  | ) |

## Member Function Documentation

PortableServer::AdapterActivator_out::operator AdapterActivator_ptr & | ( |  | ) |

AdapterActivator_ptr PortableServer::AdapterActivator_out::operator-> | ( | void |  | ) |

AdapterActivator_out& PortableServer::AdapterActivator_out::operator= | ( | AdapterActivator_ptr |  | ) |

AdapterActivator_out& PortableServer::AdapterActivator_out::operator= | ( | const AdapterActivator_var & |  | ) |

AdapterActivator_out& PortableServer::AdapterActivator_out::operator= | ( | const AdapterActivator_out & |  | ) |

AdapterActivator_ptr& PortableServer::AdapterActivator_out::ptr | ( | void |  | ) |

## Member Data Documentation

AdapterActivator_ptr& PortableServer::AdapterActivator_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h